# SPDX-FileCopyrightText: Emery Hemingway
#
# SPDX-License-Identifier: LicenseRef-Hippocratic-1.1

{ genodepkgs, nixpkgs, dhall-haskell, dhallNixpkgs, dhallNixpkgsStaticLinux
, nim-overlay, prSrc }:

let

  prOverride = attrs: {
    src = prSrc;
    preConfigure = ''
      cat <<EOM >include/solo5/solo5_version.h.distrib
      #ifndef __VERSION_H__
      #define __VERSION_H__
      #define SOLO5_VERSION "pull-request-test"
      #endif
      EOM
    '';
  };

  extraOverlays =
    [ (self: super: { solo5 = super.solo5.overrideAttrs prOverride; }) ];

  release = import ../release.nix {
    inherit dhall-haskell dhallNixpkgs dhallNixpkgsStaticLinux nixpkgs
      genodepkgs nim-overlay extraOverlays;
  };

in {
  build.x86_64.solo5 = release.build.x86_64.solo5;
  tests.x86_64.nova.solo5 = release.tests.x86_64.nova.solo5;
}
